import React from 'react';
import PropTypes from 'prop-types';
export interface LabelProps {
    /**
     * Label look
     */
    look: 'primary' | 'hero' | 'neutral' | 'faint' | 'success' | 'info' | 'warning' | 'danger';
    /**
     * Label text
     */
    value: string;
    /**
     * The override API
     */
    overrides?: {
        Label?: {
            styles?: (...args: unknown[]) => unknown;
            component?: React.ElementType;
            attributes?: (...args: unknown[]) => unknown;
        };
    };
}
export declare const Label: {
    ({ look, value, overrides: componentOverrides, ...rest }: LabelProps): JSX.Element;
    propTypes: {
        /**
         * Label look
         */
        look: PropTypes.Validator<string>;
        /**
         * The override API
         */
        overrides: PropTypes.Requireable<PropTypes.InferProps<{
            Label: PropTypes.Requireable<PropTypes.InferProps<{
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                styles: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }>>;
        /**
         * Label text
         */
        value: PropTypes.Validator<string>;
    };
    defaultProps: {
        look: string;
    };
};
